org.eclipse.graphiti.ui.internal.editor

## Class GFMarqueeToolEntry

- java.lang.Object
- - org.eclipse.gef.palette.PaletteEntry
  - - org.eclipse.gef.palette.ToolEntry
    - - org.eclipse.graphiti.ui.internal.editor.GFMarqueeToolEntry

    public class GFMarqueeToolEntry
    extends org.eclipse.gef.palette.ToolEntry

A palette ToolEntry for a `MarqueeSelectionTool`.

Since:
  2.1

### Field Summary

### Fields inherited from class org.eclipse.gef.palette.ToolEntry

`PALETTE_TYPE_TOOL`

### Fields inherited from class org.eclipse.gef.palette.PaletteEntry

`PALETTE_TYPE_UNKNOWN, PERMISSION_FULL_MODIFICATION, PERMISSION_HIDE_ONLY, PERMISSION_LIMITED_MODIFICATION, PERMISSION_NO_MODIFICATION, PROPERTY_DEFAULT, PROPERTY_DESCRIPTION, PROPERTY_LABEL, PROPERTY_LARGE_ICON, PROPERTY_PARENT, PROPERTY_SMALL_ICON, PROPERTY_TYPE, PROPERTY_VISIBLE`

### Constructor Summary

Constructors
Constructor and Description
`GFMarqueeToolEntry()` Creates a new MarqueeToolEntry that can select nodes.
`GFMarqueeToolEntry(java.lang.String label)` Constructor for MarqueeToolEntry.
`GFMarqueeToolEntry(java.lang.String label, java.lang.String description)` Constructor for MarqueeToolEntry.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getDescription()` Gets the description.

### Methods inherited from class org.eclipse.gef.palette.ToolEntry

`createTool, getToolProperty, setToolClass, setToolProperty`

### Methods inherited from class org.eclipse.gef.palette.PaletteEntry

`addPropertyChangeListener, getId, getLabel, getLargeIcon, getParent, getSmallIcon, getType, getUserModificationPermission, isVisible, removePropertyChangeListener, setDescription, setId, setLabel, setLargeIcon, setParent, setSmallIcon, setType, setUserModificationPermission, setVisible, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GFMarqueeToolEntry

    public GFMarqueeToolEntry()

Creates a new MarqueeToolEntry that can select nodes.

#### GFMarqueeToolEntry

    public GFMarqueeToolEntry(java.lang.String label)

Constructor for MarqueeToolEntry.

Parameters:
  `label` - the label

#### GFMarqueeToolEntry

    public GFMarqueeToolEntry(java.lang.String label,
                              java.lang.String description)

Constructor for MarqueeToolEntry.

Parameters:
  `label` - the label; can be `null`
  `description` - the description (can be `null`)

### Method Detail

#### getDescription

    public java.lang.String getDescription()

Gets the description.

Overrides:
  `getDescription` in class `org.eclipse.gef.palette.PaletteEntry`
Returns:
  the description
See Also:
  `PaletteEntry.getDescription()`